/services/websites/v1/websites/deployment/domain/dns-check
Auth
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string | |
details |
string|null |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
message |
string | |
data |
object | |
data.domain |
object |
| Field | Type | Description |
|---|---|---|
message |
string | Errors overview. |
errors |
object | A detailed description of each field that failed validation. |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
Retry-After |
integer | Seconds until the rate limit resets | 60 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
curl -X POST "https://api.wemasy.nl/api/services/websites/v1/websites/deployment/domain/dns-check" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
fetch('https://api.wemasy.nl/api/services/websites/v1/websites/deployment/domain/dns-check', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Accept': 'application/json' }})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
->accept('application/json')
->post('https://api.wemasy.nl/api/services/websites/v1/websites/deployment/domain/dns-check');
$data = $response->json();
import requests
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
r = requests.post("https://api.wemasy.nl/api/services/websites/v1/websites/deployment/domain/dns-check", headers=headers)
print(r.json())
{
"message": "DNS gecontroleerd.",
"data": {
"domain": {
"domain": "wemasy.com",
"dns": {
"1": {
"domain": "wemasy.com",
"label": "A",
"type": "DNS_A",
"required_ip": "64.225.82.193",
"current_ip": "",
"dns": 1,
"ttl": 3600,
"status": false
},
"2": {
"domain": "www.wemasy.com",
"label": "A",
"type": "DNS_A",
"required_ip": "64.225.82.193",
"current_ip": "",
"dns": 1,
"ttl": 3600,
"status": false
},
"3": {
"domain": "wemasy.com",
"label": "AAAA",
"type": "DNS_AAAA",
"required_ip": "dient niet aanwezig te zijn",
"current_ip": "",
"dns": 134217728,
"ttl": 3600,
"status": false
},
"4": {
"domain": "www.wemasy.com",
"label": "AAAA",
"type": "DNS_AAAA",
"required_ip": "dient niet aanwezig te zijn",
"current_ip": "",
"dns": 134217728,
"ttl": 3600,
"status": false
}
}
}
}
}